<?php
/**
 * TwitterCard - Configuration
 * 
 * With Twitter Cards, you can attach rich photos, videos and media experiences to Tweets, helping to drive traffic to your website. Twitter Card is displayed on the header of the page. More info: https://developer.twitter.com/en/docs/tweets/optimize-with-cards/overview/abouts-cards
 *
 * @copyright 2016 SCHLIX Web Inc
 *
 * @license MIT
 *
 * @package twittercard
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION'))
    die('No Access');
?>
<h3><?= ___('Twitter Card Macro Configuration') ?></h3>
<p><?= ___('With Twitter Cards, you can attach rich photos, videos and media experiences to Tweets, helping to drive traffic to your website. Simply add a few lines of markup to your webpage, and users who Tweet links to your content will have a card added to the Tweet that is visible to their followers.') ?></p>
<p><?= ___('For more information') ?>: <a href="https://dev.twitter.com/cards/overview" target="_blank">https://dev.twitter.com/cards/overview</a></p>
<schlix-config:dropdownlist class='form-control' config-key='str_card_type' label="<?= ___('Card type') ?>" >
    <schlix-config:option value="summary"><?= ___('Summary') ?></schlix-config:option>
    <schlix-config:option value="summary_large_image"><?= ___('Summary below Large Image') ?></schlix-config:option>
    <schlix-config:option value="app"><?= ___('Application') ?></schlix-config:option>
</schlix-config:dropdownlist>
<!-- TODO: default image -->
<schlix-config:textbox config-key='str_site' label="<?= ___('Twitter username of the website') ?>" class='form-control' placeholder="@your_twitter_username" pattern="^@[A-Za-z0-9_]{1,15}$" required="required" />
<schlix-config:textbox config-key='str_creator' label="<?= ___('Optional Twitter username of the creator') ?>" class='form-control' placeholder="@your_twitter_username" pattern="^@[A-Za-z0-9_]{1,15}$" />
<schlix-config:textbox config-key='str_default_title' label="<?= ___('Default title of your site') ?>" maxlength="70" class='form-control' required="required" config-default-value="<?= SCHLIX_SITE_NAME ?>" />
<schlix-config:textarea config-key='str_default_description' label="<?= ___('Default description of your site') ?>" maxlength="200" class='form-control' required="required" />

<hr />
<div class="row">
    <!-- col -->
    <div class="col-sm-6">

        <!-- IPhone and Ipad -->
        <fieldset>

            <legend><?= ___('Optional iOS (iPhone, iPad) integration') ?></legend>
            <schlix-config:textbox config-key='str_app_country' label="<?= ___('Country (ISO Code)') ?>" class='form-control' maxlength="2" placeholder="US" />    
            <p><em><?= ___('If your application is not available in the US App Store, you must set this value to the two-letter country code for the App Store that contains your application.') ?></em></p>
            <schlix-config:textbox config-key='str_iphone_name' label="<?= ___('iPhone App Name') ?>" class='form-control' placeholder="<?= ___('Name of your iPhone app') ?>" />
            <schlix-config:textbox config-key='str_iphone_url' label="<?= ___('iPhone App URL') ?>" class='form-control' placeholder="<?= ___("Your app's custom URL scheme (you must include :// after your scheme name)") ?>"/>
            <schlix-config:textbox config-key='str_iphone_id' label="<?= ___('iPhone App ID') ?>" class='form-control' placeholder="<?= ___('Your app ID in the iTunes App Store (Note: NOT your bundle ID)') ?>" />
            <hr />    
            <schlix-config:textbox config-key='str_ipad_name' label="<?= ___('iPad App Name') ?>" class='form-control' placeholder="<?= ___('Your app ID in the iTunes App Store') ?>" />
            <schlix-config:textbox config-key='str_ipad_url' label="<?= ___('iPad App URL') ?>" class='form-control' placeholder="<?= ___("Your app's custom URL scheme") ?>" />
            <schlix-config:textbox config-key='str_ipad_id' label="<?= ___('iPad App ID') ?>" class='form-control' placeholder="<?= ___('Your app ID in the iTunes App Store') ?>" />

        </fieldset>        
    </div>
    <!-- col -->
    <div class="col-sm-6">

        <!-- Android -->
        <fieldset>
            <legend><?= ___('Optional Android (Google Play) integration') ?></legend>
            <schlix-config:textbox config-key='str_gplay_name' label="<?= ___('Google Play Name') ?>" class='form-control' placeholder="<?= ___('Name of your Android app') ?>" />
            <schlix-config:textbox config-key='str_gplay_url' label="<?= ___('Google Play URL') ?>" class='form-control' placeholder="<?= ___('Your app’s custom URL scheme') ?>" />
            <schlix-config:textbox config-key='str_gplay_id' label="<?= ___('Google Play ID') ?>" class='form-control' placeholder="<?= ___('Your app ID in the Google Play Store') ?>" />
        </fieldset>



    </div>
    <!-- end col -->
</div>
